
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/electronics
  ${CMAKE_SOURCE_DIR}/src/electronics/components
  ${CMAKE_SOURCE_DIR}/src/languages
  ${CMAKE_SOURCE_DIR}/src/micro
  
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### flowparts (static)

tde_add_library( flowparts STATIC_PIC AUTOMOC

  SOURCES
        callsub.cpp delay.cpp end.cpp forloop.cpp
        readport.cpp setpin.cpp start.cpp
        testpin.cpp unary.cpp varassignment.cpp
        varcomparison.cpp writeport.cpp repeat.cpp
        while.cpp sub.cpp count.cpp embed.cpp
        interrupt.cpp keypad.cpp pulse.cpp
        sevenseg.cpp inputbutton.cpp
        flowpart.cpp pinmapping.cpp
)
